///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.AnimationDrivers;
using Fluogen.Dependz.Configuration;
using Fluogen.DeployedScripts.Configuration.FluonGenerators;

// #cfg FluonGenerators\Illumination

namespace Fluogen.DeployedScripts.AnimationDrivers
{
	public class TranslateFluonGeneratorIlluminationHorizontalAngleOfLight : TranslateScalar<DummyScriptConfiguration>
	{
		protected override void SetScalar( IFluonContext fx, IFluonConfiguration fcFrame, IAnimationThreadConfiguration atc, double progress )
		{
			fx.FluonGenerator.SetScriptConfiguration( nameof( Illumination.HorizontalAngleOfLight ), progress );
		}
	}
}
