///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;
using Fluogen.DeployedScripts.Libraries;

// #lib PaletteToneExtensions

namespace Fluogen.DeployedScripts.Palettes
{
	public class Purple : MonotonalGradientPalette<DummyScriptConfiguration>
	{
		protected override int ToneHue( ColorModelName colorModel ) => PaletteToneExtensions.PurpleHueHsl;
		protected override int? ToneHueEndShift( ColorModelName colorModel ) => -300;
	}
}
