///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;
using Fluogen.DeployedScripts.Libraries;

// #lib PaletteToneExtensions

namespace Fluogen.DeployedScripts.Palettes
{
	public class TangerineLight : MonotonalGradientPalette<DummyScriptConfiguration>
	{
		protected override PaletteVariant PaletteVariant => PaletteVariant.Enlighten;

		protected override int ToneHue( ColorModelName colorModel ) => PaletteToneExtensions.TangerineHueHsl;
	}
}
