///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.AnimationDrivers;

namespace Fluogen.DeployedScripts.AnimationDrivers
{
	public class ReducedColorIntegerFrequencyForInfiniteRange : TranslateInteger
	{
		public override void AffectFluonConfigurationOfFrame( IFluonContext fx, IFluonConfiguration fcSegment, IFluonConfiguration fcFrame
			, IAnimationThreadConfiguration atc, IAnimationFrameContext afx )
		{
			fcFrame.InfiniteRangeColorReducer.Frequency = GetIntegerProgress( atc, afx.SegmentFrameCount, afx.SegmentFrameIndex );
		}
	}
}
