///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.ColorReducers
{
	public class Linear : ColorReducer<DummyScriptConfiguration>
	{
		public override string Description => "rs";

		public override bool SupportsSupraunitaryInputValues => false;

		public override double ReduceToUnitary( IFluonContext fx, IFluonConfiguration fc, IPixelContext px, IColorReducerConfiguration crp
			, double x )
		{
			return x;
		}
	}
}
