///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.Palettes
{
	public class Ultrafractal2 : MonotoneCubicGradientPalette<DummyScriptConfiguration>
	{
		protected override IGradientPaletteMarkList GetMarks( IFluonConfiguration fc )
		{
			return new GradientPaletteMarkList
			{
				Hsl( 0.0000,     0,     0, 10000 ),
				Hsl( 0.4250,  9000,  5300,  2100 ),
				Hsl( 0.6725,  5700,  4400,  3100, true ),
				Hsl( 1.0000,     0,     0, 10000 )
			};
		}
	}
}
