///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.Palettes
{
	public class Ultrafractal4 : MonotoneCubicGradientPalette<DummyScriptConfiguration>
	{
		protected override IGradientPaletteMarkList GetMarks( IFluonConfiguration fc )
		{
			return new GradientPaletteMarkList
			{
				Hsl( 0.0000,  8200, 10000,   950 ),
				Hsl( 0.0725,  8200,  8100,  1000 ),
				Hsl( 0.4600,  8200,     0, 10000, true ),
				Hsl( 0.8675,   580,  5000,  4400 ),
				Hsl( 1.0000,  8200, 10000,   950 )
			};
		}
	}
}
